org.h2.mvstore

## Class Page.PageReference

- java.lang.Object
- - org.h2.mvstore.Page.PageReference

Enclosing class:
  Page

    public static class Page.PageReference
    extends java.lang.Object

A pointer to a page, either in-memory or using a page position.

### Constructor Summary

Constructors
Constructor and Description
`Page.PageReference(Page page, long pos, long count)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Page.PageReference

    public Page.PageReference(Page page,
                      long pos,
                      long count)